#!/usr/bin/env node

var script = process.argv[2];
var args = process.argv.slice(3);
var spawnSync = require('child_process').spawnSync;

switch (script) {
    case 'build':
    case 'eject':
    case 'start':
    case 'test':
        var result = spawnSync('node', [require.resolve('../scripts/' + script)].concat(args),
            { stdio: 'inherit' });
        process.exit(result.status);
        break;
    default:
        console.log('Unknown script "' + script + '".');
        console.log('Perhaps you need to update react-scripts?');
        break;
}